This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1021750 - Redeploying BRMS components causes thread leak
Redeploying BRMS components causes thread leak
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor), Deployment, jBPM Console (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 21:47 EDT by Toshiya Kobayashi
Modified: 2013-11-04 09:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshiya Kobayashi 2013-10-21 21:47:45 EDT
Description of problem:

When you redeploy BRMS components (jbpm-human-task, business-central, business-central-server, jboss-brms), some threads are not cleaned up and keep live.


Steps to Reproduce:
(This is an example of business-central-server. You may test other components with similar steps)

1. Start brms-standalone
2. Login to http://localhost:8080/business-central/
3. Capture a thread dump
4. Redeploy business-central-server.war (e.g. touch web.xml)
5. Login to http://localhost:8080/business-central/
6. Capture a thread dump
7. Compare 2 thread dumps taken in step 3 and 6

Actual results:

The number of threads increases. (You may ignore http threads)

Expected results:

The number of threads is not increased. (You may ignore http threads)

Additional info:

If you use BRMS components in Tomcat 7.0.42, Tomcat will log more clear messages for this issue so maybe useful to verify.

====
SEVERE: The web application [/business-central-server] appears to have started a thread named [Thread-0 (HornetQ-client-global-scheduled-threads-1981488825)] but has failed to stop it. This is very likely to create a memory leak.
====

Note You need to log in before you can comment on or make changes to this bug.